using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace Motion6D
{
    [Serializable()]
    public class PositionCollectionIndicator : RigidReferenceFrame
    {

        #region Fields
        protected IPositionCollection positions;

        #endregion


        #region Ctor

        public PositionCollectionIndicator()
        {
        }

        protected PositionCollectionIndicator(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }


        #endregion

        #region Specific Members
        public IPositionCollection Positions
        {
            get { return positions; }
            set
            {
                if (value != null & positions != null)
                {
                    throw new Exception("Positios already exists");
                }
                positions = value;
            }
        }

        #endregion
    }
}
